## org.apache.hadoop.util
Interface IndexedSortable

    public interface IndexedSortable

Interface for collections capable of being sorted by `IndexedSorter` algorithms.

Method Summary
`int` `compare(int i, int j)` Compare items at the given addresses consistent with the semantics of `Comparator.compare(Object, Object)`.
`void` `swap(int i, int j)` Swap items at the given addresses.

Method Detail

### compare

    int compare(int i,
                int j)

  Compare items at the given addresses consistent with the semantics of `Comparator.compare(Object, Object)`.

### swap

    void swap(int i,
              int j)

  Swap items at the given addresses.

Copyright © 2009 The Apache Software Foundation